;;; - ------------------------------------------------------------------------------ - ; ;;; - Funktionsname : C:DIALOGPOSITIONS - ; ;;; - Beschreibung : Setzt für alle Dialogpositionen, die im aktuellen ACAD-Profil - ; ;;; - gespeichert sind, die Koordinaten auf 0,0, so dass sie - ; ;;; - garantiert auf dem Monitor zu sehen sind. - ; ;;; - Parameter : keine - ; ;;; - Rückgabe : keine - ; ;;; - ------------------------------------------------------------------------------ - ; ;;; - Info : Aktivierten Dialog verschieben geht auch mit: - ; ;;; - ALT + Leertaste , dann V und dann verschieben mit Pfeiltasten - ; ;;; - ------------------------------------------------------------------------------ - ; (vl-load-com) (defun C:DIALOGPOSITIONS(/ KEY DIALOGS) (vl-load-com) (setq KEY(strcat "HKEY_CURRENT_USER\\" (vlax-product-key) "\\PROFILES\\" (vla-get-ActiveProfile (vla-get-PROFILES(vla-get-preferences(vlax-get-acad-object))) ) "\\Dialogs" ) ) (If(setq DIALOGS(vl-registry-descendents KEY)) (mapcar '(lambda(X) (if(=(type X)'STR) (progn (setq X(strcat KEY "\\" X)) (if (vl-registry-read X "X")(vl-registry-write X "X" 0)) (if (vl-registry-read X "Y")(vl-registry-write X "Y" 0)) ) ) ) DIALOGS ) ) (princ) ) ;;; - ------------------------------------------------------------------------------ - ; (princ (strcat "\n\n" "\nDIALOGPOSITIONS : Setzt alle Dialogposition auf 0,0 Bildschirmkoordinaten" "\n=============== " "\n(C) Thomas Krüger 2009" "\nBefehlszeilenaufruf : DIALOGPOSITIONS\n" ) ) ;;; - ------------------------------------------------------------------------------ - ; (princ)